OTBGUI_SEGMENTATION(1)

NAME
otbgui_Segmentation - OTB Segmentation application

DESCRIPTION
This is the Segmentation application, version 5.2.0 Performs segmentation of an image, and output either a raster or a vector file. In vector mode, large input datasets are supported.

Complete documentation: http://www.orfeo-toolbox.org/Applications/Segmentation.html

  Parameters:

-progress
    <boolean> Report progress

 -in <string> Input Image (mandatory)

-filter
    <string> Segmentation algorithm [meanshift/cc/watershed/mprofiles] (mandatory, default value is meanshift)

-filter.meanshift.spatialr
    <int32> Spatial radius (mandatory, default value is 5)

-filter.meanshift.ranger
    <float> Range radius (mandatory, default value is 15)

-filter.meanshift.thres
    <float> Mode convergence threshold (mandatory, default value is 0.1)

-filter.meanshift.maxiter
    <int32> Maximum number of iterations (mandatory, default value is 100)

-filter.meanshift.minsize
    <int32> Minimum region size (mandatory, default value is 100)

-filter.cc.expr
    <string> Condition (mandatory)

-filter.watershed.threshold <float>
    Depth Threshold (mandatory, default value is 0.01)

-filter.watershed.level
    <float> Flood Level (mandatory, default value is 0.1)

-filter.mprofiles.size
    <int32> Profile Size (mandatory, default value is 5)

-filter.mprofiles.start
    <int32> Initial radius (mandatory, default value is 1)

-filter.mprofiles.step
    <int32> Radius step. (mandatory, default value is 1)

-filter.mprofiles.sigma
    <float> Threshold of the final decision rule (mandatory, default value is 1)

-mode
    <string> Processing mode [vector/raster] (mandatory, default value is vector)

 -mode.vector.out <string> Output vector file (mandatory)

-mode.vector.outmode
    <string> Writing mode for the output vector file [ulco/ovw/ulovw/ulu] (mandatory, default value is ulco)

-mode.vector.inmask
    <string> Mask Image (optional, off by default)

-mode.vector.neighbor
    <boolean> 8-neighbor connectivity (optional, off by default)

-mode.vector.stitch
    <boolean> Stitch polygons (optional, on by default)

-mode.vector.minsize
    <int32> Minimum object size (optional, off by default, default value is 1)

-mode.vector.simplify
    <float> Simplify polygons (optional, off by default, default value is 0.1)

-mode.vector.layername
    <string> Layer name (mandatory, default value is layer)

-mode.vector.fieldname
    <string> Geometry index field name (mandatory, default value is DN)

-mode.vector.tilesize
    <int32> Tiles size (mandatory, default value is 1024)

-mode.vector.startlabel
    <int32> Starting geometry index (mandatory, default value is 1)

-mode.vector.ogroptions
    <string list> OGR options for layer creation (optional, off by default)

-mode.raster.out
    <string> [pixel] Output labeled image [pixel=uint8/uint16/int16/uint32/int32/float/double] (default value is uint32) (mandatory)

-inxml
    <string> Load otb application from xml file (optional, off by default)

EXAMPLES
Example of use with vector mode and watershed segmentation otbgui_Segmentation -in QB_Toulouse_Ortho_PAN.tif -mode vector -mode.vector.out SegmentationVector.sqlite -filter watershed Example of use with raster mode and mean-shift segmentation otbgui_Segmentation -in QB_Toulouse_Ortho_PAN.tif -mode raster -mode.raster.out SegmentationRaster.tif uint16 -filter meanshift

SEE ALSO
The full documentation for otbgui_Segmentation is maintained as a Texinfo manual. If the info and otbgui_Segmentation programs are properly installed at your site, the command

    info otbgui_Segmentation

should give you access to the complete manual.